       subroutine scrinam(c)
      character b*80,a*2000,c*15
      rewind 75
      i=0
 1    i=i+1
      a(i:i)=' '
      read(75,'(a80)',end=1000) b
c     print*, b
      do k=1,80
         if(b(k:k).ne.' ') then
            i=i+1
            a(i:i)=b(k:k)
         endif
      enddo
      goto 1
 1000 continue
c      do k=1,i,60
c         print'(50(1x,a60))', a(k:k+59)
c      enddo
      print*,' '
      print*,'===================== ',c,
     *' ======================'
      k=0
      kk=0
 3    k=k+1
      kk=kk+1
c     print*,'k,kk,a(k:k)',k,kk,a(k:k)
      b(kk:kk)=a(k:k)
      if(k.ge.i) then
         print'(1x,a)', b(1:kk-1)
         goto 2
      endif
      kks=kk
      if(kks.gt.50) then
         do kkk=kks+1,i
c        print*,'kkk',kkk
            k=k+1
c           print*,'kkk,a',a(k:k)
            if(a(k:k).eq.' '.or.a(k:k).eq.','.or.kkk.gt.72) then
               b(kkk:kkk)=a(k:k)
               print'(1x,a)', b(1:kkk-1)
               kk=0
               goto 3
            else
               b(kkk:kkk)=a(k:k)
            endif
         enddo
      endif
      goto 3
c      do k=1,i,60
c         print'(50(1x,a60))', a(k:k+59)
c      enddo
 2    print*,
     *'=========================='//
     *'=================================='
      print*,' '
      rewind 75
      print*,'sortie scrinam'

      return
      end
 
